Update fan profile
Update the supplied editable relationship fields for a fan and creator, such as notes or AI controls. Omitted fields retain their current values.
/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}Update the supplied editable relationship fields for a fan and creator, such as notes or AI controls. Omitted fields retain their current values.
Authorization
bearerAuth In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/fans/string" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{ "data": { "enabled": true, "creatorId": "string", "createdAt": "2019-08-24T14:15:22Z", "fanId": "string", "name": null, "age": null, "birthday": null, "job": null, "hobbies": null, "interests": null, "fan_place": null, "nickname": null, "isFemale": null, "family_information": null, "friends_information": null, "origins": null, "likes": null, "dislikes": null, "dick_size": null, "dreams": null, "payday": null, "salary": null, "notes": "string", "language": null, "timezone": null, "aiDisabledAt": null, "aiDisabledByEmployeeId": null, "handoffRequestedAt": null, "handoffResolvedAt": null, "handoffResolvedByEmployeeId": null, "lastSentMessageAt": null, "lastFanReplyAt": null, "chatInboxId": null, "updatedAt": "2019-08-24T14:15:22Z", "chatId": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}Get fan profile GET
Read a fan's profile and relationship with one creator, including available spending and subscription details. Fan identity is scoped to the supplied creator.
List fan ai logs GET
Read the AI activity logs available for one creator-fan conversation. Use these records to investigate AI behavior for that fan.